## net.sf.saxon.evpull
Class TracingEventIterator

    java.lang.Object
      net.sf.saxon.evpull.TracingEventIterator

All Implemented Interfaces:
  EventIterator, PullEvent

    public class TracingEventIterator

extends java.lang.Object
implements EventIterator

This class is a filter for a sequence of pull events; it returns the input sequence unchanged, but traces execution to System.err

Constructor Summary
`TracingEventIterator(EventIterator base)` Create an event iterator that traces all events received from the base sequence, and returns them unchanged

Method Summary
`boolean` `isFlatSequence()` Determine whether the EventIterator returns a flat sequence of events, or whether it can return nested event iterators
`PullEvent` `next()` Get the next event in the sequence

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TracingEventIterator

    public TracingEventIterator(EventIterator base)

  Create an event iterator that traces all events received from the base sequence, and returns them unchanged

  Parameters:
    `base` - the iterator over the base sequence

Method Detail

### isFlatSequence

    public boolean isFlatSequence()

  Determine whether the EventIterator returns a flat sequence of events, or whether it can return nested event iterators

  Specified by:
    `isFlatSequence` in interface `EventIterator`
  Returns:
    true if the next() method is guaranteed never to return an EventIterator

### next

    public PullEvent next()
                   throws XPathException

  Get the next event in the sequence

  Specified by:
    `next` in interface `EventIterator`
  Returns:
    the next event, or null when the sequence is exhausted. Note that since an EventIterator is itself a PullEvent, this method may return a nested iterator.
  Throws:
    `XPathException` - if a dynamic evaluation error occurs

Copyright (c) Saxonica Limited. All rights reserved.